/*                      QBCC Project

This source file is licensed under the GNU Lesser Public Licence which should be 
included with the distribution of this source.

*/
// Quick Basic Compatible Compiler Standard Library Main Header File
// Copyright 2000

#ifndef __STDLIB_H__
#define __STDLIB_H__

#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <stdarg.h>
#include <string.h>
#include "stringh.h"

#define TRUE	-1
#define FALSE	0

// String Block Pointer
extern unsigned char *MemBlock;


#define __WIN32__
//#define __DOS__
//#define __LINUX__

// Print.c
void PRINT(char *fmt,...);
void FPRINT(char *fmt,...);

// Input.c
void INPUT(char *fmt,...);
void FINPUT(char *fmt,...);

// Memory.c
int AllocateMemBlock(int NumBytes);
void FreeMemBlock(void);
void *GetPointer(size_t size);
/*__inline*/ int *GetINTptr(int value);
__inline float *GetSNGptr(float value);
__inline long *GetLNGptr(long value);
__inline double *GetDBLptr(double value);

// Init.c
int STD_Initialize(void);
int STD_ShutDown(void);





#endif  //  __STDLIB_H__